# -*-makefile-*-
#
# Copyright (C) 2012 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LIBFSLPARSER) += libfslparser

#
# Paths and names
#
LIBFSLPARSER_VERSION	:= 3.0.7
LIBFSLPARSER_MD5	:= 8935953be1789bd98bd5639cb816df60
LIBFSLPARSER		:= libfslparser-$(LIBFSLPARSER_VERSION)
LIBFSLPARSER_SUFFIX	:= tar.gz
LIBFSLPARSER_URL	:= /$(LIBFSLPARSER).$(LIBFSLPARSER_SUFFIX)
LIBFSLPARSER_SOURCE	:= $(SRCDIR)/$(LIBFSLPARSER).$(LIBFSLPARSER_SUFFIX)
LIBFSLPARSER_DIR	:= $(BUILDDIR)/$(LIBFSLPARSER)
LIBFSLPARSER_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(LIBFSLPARSER_SOURCE):
#	@$(call targetinfo)
#	@$(call get, LIBFSLPARSER)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#LIBFSLPARSER_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#LIBFSLPARSER_CONF_TOOL	:= autoconf
#LIBFSLPARSER_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/libfslparser.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(LIBFSLPARSER_DIR)/config.cache)
#	cd $(LIBFSLPARSER_DIR) && \
#		$(LIBFSLPARSER_PATH) $(LIBFSLPARSER_ENV) \
#		./configure $(LIBFSLPARSER_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/libfslparser.compile:
#	@$(call targetinfo)
#	@$(call world/compile, LIBFSLPARSER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/libfslparser.install:
#	@$(call targetinfo)
#	@$(call world/install, LIBFSLPARSER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/libfslparser.targetinstall:
	@$(call targetinfo)

	@$(call install_init, libfslparser)
	@$(call install_fixup, libfslparser,PRIORITY,optional)
	@$(call install_fixup, libfslparser,SECTION,base)
	@$(call install_fixup, libfslparser,AUTHOR,"Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>")
	@$(call install_fixup, libfslparser,DESCRIPTION,missing)

	@$(call install_tree, libfslparser, 0, 0, $(LIBFSLPARSER_DIR)/release/lib, /usr/lib)

	@$(call install_finish, libfslparser)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/libfslparser.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, LIBFSLPARSER)

# vim: syntax=make
