# -*makefile-*-
#
# Copyright (C) 2012 by Christian Hemp
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_QTDEMO_AUTOSTART) += qtdemo_startscript

QTDEMO_AUTOSTART_VERSION	:= 0.0.1

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/qtdemo_startscript.targetinstall:
	@$(call targetinfo)

	@$(call install_init,  qtdemo_startscript)
	@$(call install_fixup, qtdemo_startscript,PRIORITY,optional)
	@$(call install_fixup, qtdemo_startscript,VERSION,$(QTDEMO_AUTOSTART_VERSION))
	@$(call install_fixup, qtdemo_startscript,SECTION,base)
	@$(call install_fixup, qtdemo_startscript,AUTHOR,"Christian Hemp")
	@$(call install_fixup, qtdemo_startscript,DESCRIPTION,missing)

ifdef PTXCONF_INITMETHOD_BBINIT
ifdef PTXCONF_QTDEMO_STARTSCRIPT
	@$(call install_alternative, qtdemo_startscript, 0, 0, 0755, /etc/init.d/fluidlauncher)
	@$(call install_alternative, qtdemo_startscript, 0, 0, 0755, /etc/init.d/qtdemo_startup)

ifneq ($(call remove_quotes,$(PTXCONF_QTDEMO_STARTSCRIPT_BBINIT_LINK)),)
	@$(call install_link, qtdemo_startscript, \
                ../init.d/qtdemo_startup, \
                /etc/rc.d/$(PTXCONF_QTDEMO_STARTSCRIPT_BBINIT_LINK))
endif
endif
endif

ifdef PTXCONF_QTDEMO_SYSTEMD_UNIT

	@$(call install_alternative, qtdemo_startscript, 0, 0, 0755, /sbin/fluidlauncher)
	@$(call install_alternative, qtdemo_startscript, 0, 0, 0755, /sbin/qtdemo_startup)	

	@$(call install_alternative, qtdemo_startscript, 0, 0, 0644, \
		/lib/systemd/system/qt-demo-startup.service)
	@$(call install_link, qtdemo_startscript, ../qt-demo-startup.service, \
		/etc/systemd/system/basic.target.wants/qt-demo-startup.service)

endif

	@$(call install_finish, qtdemo_startscript)
	@$(call touch)

# vim: syntax=make
